﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp25
{
    class Program
    {
        static void Main(string[] args)
        {
            double a = ObsahObdelniku(2, 3);
            Console.WriteLine(a);

            double b = ObsahKruhu(4);
            Console.WriteLine(b);

            double c = ObvodKruhu(4);
            Console.WriteLine(c);

            double d = Max(2, 3);
            Console.WriteLine(d);

            double e = Min(2, 3);
            Console.WriteLine(e);

            double f = Max(2, 3, 4);
            Console.WriteLine(f);

            double g = Min(2, 3, 4);
            Console.WriteLine(g);

            double h = Max(2, 3, 4, 5);
            Console.WriteLine(h);

            double i = Min(2, 3, 4, 5);
            Console.WriteLine(i);

            VypisCisla(5);
            VypisCislaSestupne(5);

            int j = SoucetRady(5);
            Console.WriteLine(j);

            int k = Faktorial(5);
            Console.WriteLine(k);

            int l = SoucetRadyLichy(5);
            Console.WriteLine(l);

            int m = SoucetRadySudy(5);
            Console.WriteLine(m);

            int[] x = new int[5];
            x[0] = 4;
            x[1] = 6;
            x[2] = 3;
            x[3] = 8;
            x[4] = 2;
            Console.WriteLine(x[0]);
            VypisPole(x);

            int[] y = { 6, 8, 7, 1, 3 };
            VypisPole(y);

            int n = SoucetPole(x);
            Console.WriteLine(n);

            int o = SoucinPole(x);
            Console.WriteLine(o);

            double p = PrumerPole(x);
            Console.WriteLine(p);

            double q = RozptylPole(x);
            Console.WriteLine(q);

            double r = SmerodatnaOdchylkaPole(x);
            Console.WriteLine(r);

            double s = VariacniKoeficientPole(x);
            Console.WriteLine(s);

            int t = MinPole(x);
            Console.WriteLine(t);

            int u = MaxPole(x);
            Console.WriteLine(u);

            int v = RozpetiPole(x);
            Console.WriteLine(v);

            Console.WriteLine("Trideni:");
            SetridPole(x);
            VypisPole(x);
        }

        static double ObsahObdelniku(double a, double b)
        {
            return a * b;
        }

        static double ObsahKruhu(double r)
        {
            return Math.PI * Math.Pow(r, 2);
        }

        static double ObvodKruhu(double r)
        {
            return 2 * Math.PI * r;
        }

        static double Max(double a, double b)
        {
            return a > b ? a : b;
            /*
            if (a > b)
            {
                return a;
            }
            else
            {
                return b;
            }
            */
        }

        static double Min(double a, double b)
        {
            return a < b ? a : b;
            /*
            if (a < b)
            {
                return a;
            }
            else
            {
                return b;
            }
            */
        }

        static double Max(double a, double b, double c)
        {
            return Max(Max(a, b), c);
            /*
            if (a > b && a > c)
            {
                return a;
            }
            else if (b > c)
            {
                return b;
            }
            else
            {
                return c;
            }
            */
        }

        static double Min(double a, double b, double c)
        {
            return Min(Min(a, b), c);
        }

        static double Max(double a, double b, double c, double d)
        {
            return Max(Max(a, b, c), d);
        }

        static double Min(double a, double b, double c, double d)
        {
            return Min(Min(a, b, c), d);
        }

        static void VypisCisla(int n)
        {
            for (int i = 1; i <= n; i = i + 1)
            {
                Console.WriteLine(i);
            }
        }

        static void VypisCislaSestupne(int n)
        {
            for (int i = n; i >= 1; i = i - 1)
            {
                Console.WriteLine(i);
            }
        }

        static int SoucetRady(int n)
        {
            int suma = 0;
            for (int i = 1; i <= n; i += 1)
            {
                //suma = suma + i;
                suma += i;
            }
            return suma;
        }

        static int Faktorial(int n)
        {
            int soucin = 1;
            for (int i = 1; i <= n; i++)
            {
                //soucin = soucin * i;
                soucin *= i;
            }
            return soucin;
        }

        static int SoucetRadyLichy(int n)
        {
            int suma = 0;
            for (int i = 1; i <= n; i += 2)
            {
                suma += i;
            }
            return suma;
        }

        static int SoucetRadySudy(int n)
        {
            return SoucetRady(n) - SoucetRadyLichy(n);
            /*
            int suma = 0;
            for (int i = 2; i <= n; i += 2)
            {
                suma += i;
            }
            return suma;
            */
        }

        static void VypisPole(int[] a)
        {
            for (int i = 0; i < a.Length; i++)
            {
                Console.WriteLine(a[i]);
            }
        }

        static int SoucetPole(int[] a)
        {
            int suma = 0;
            for (int i = 0; i < a.Length; i++)
            {
                suma += a[i];
            }
            return suma;
        }

        static int SoucinPole(int[] a)
        {
            int soucin = 1;
            for (int i = 0; i < a.Length; i++)
            {
                soucin *= a[i];
            }
            return soucin;
        }

        static double PrumerPole(int [] a)
        {
            return SoucetPole(a) / (double)a.Length;
        }

        static double RozptylPole(int[] a)
        {
            double suma = 0;
            double prumer = PrumerPole(a);
            for (int i = 0; i < a.Length; i++)
            {
                //double rozdil = a[i] - PrumerPole(a);
                double rozdil = a[i] - prumer;
                suma += Math.Pow(rozdil, 2);
            }
            return suma / a.Length;
        }

        static double SmerodatnaOdchylkaPole(int[] a)
        {
            return Math.Sqrt(RozptylPole(a));
        }

        static double VariacniKoeficientPole(int[] a)
        {
            return SmerodatnaOdchylkaPole(a) / PrumerPole(a);
        }

        static int MinPole(int[] a)
        {
            int min = a[0];
            for (int i = 1; i < a.Length; i++)
            {
                if (a[i] < min)
                {
                    min = a[i];
                }
            }
            return min;
        }

        static int MaxPole(int[] a)
        {
            int max = a[0];
            for (int i = 1; i < a.Length; i++)
            {
                if (a[i] > max)
                {
                    max = a[i];
                }
            }
            return max;
        }

        static int RozpetiPole(int[] a)
        {
            return MaxPole(a) - MinPole(a);
        }

        static void SetridPole(int[] a)
        {
            for (int i = 0; i < a.Length; i++)
            {
                for (int j = i + 1; j < a.Length; j++)
                {
                    if (a[j] < a[i])
                    {
                        int pom = a[i];
                        a[i] = a[j];
                        a[j] = pom;
                    }    
                }
            }
        }
    }
}
